<?php

namespace App\Policies;

use App\Models\SalesTarget;
use App\Models\User;

class SalesTargetPolicy
{
    public function viewAny(User $user): bool
    {
        return $user->can('view_sales_targets');
    }

    public function view(User $user, SalesTarget $salesTarget): bool
    {
        return $user->can('view_sales_targets');
    }

    public function create(User $user): bool
    {
        return $user->can('create_sales_targets');
    }

    public function update(User $user, SalesTarget $salesTarget): bool
    {
        return $user->can('update_sales_targets');
    }

    public function delete(User $user, SalesTarget $salesTarget): bool
    {
        return $user->can('delete_sales_targets');
    }

    public function deleteAny(User $user): bool
    {
        return $user->can('delete_sales_targets');
    }
}
